commit:     f751259651621515c6e710e65d4d7660a0c2169f
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 19 00:16:45 2016 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Sat Nov 19 00:16:58 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7512596

net-analyzer/thc-ipv6: bump.

Package-Manager: portage-2.3.2

 net-analyzer/thc-ipv6/Manifest                     |  1 +
 .../thc-ipv6/files/thc-ipv6-3.0-Makefile.patch     | 11 +++++
 net-analyzer/thc-ipv6/thc-ipv6-2.3.ebuild          |  2 +-
 net-analyzer/thc-ipv6/thc-ipv6-2.5.ebuild          |  2 +-
 net-analyzer/thc-ipv6/thc-ipv6-2.7.ebuild          |  2 +-
 net-analyzer/thc-ipv6/thc-ipv6-3.0.ebuild          | 55 ++++++++++++++++++++++
 net-analyzer/thc-ipv6/thc-ipv6-9999.ebuild         | 55 ++++++++++++++++++++++
 7 files changed, 125 insertions(+), 3 deletions(-)

diff --git a/net-analyzer/thc-ipv6/Manifest b/net-analyzer/thc-ipv6/Manifest
index add4870..2aa13bb 100644
--- a/net-analyzer/thc-ipv6/Manifest
+++ b/net-analyzer/thc-ipv6/Manifest
@@ -1,3 +1,4 @@
 DIST thc-ipv6-2.3.tar.gz 176918 SHA256 
d1e8a3f295931fdc89e200da3c171b9e4922029cc55d11faece9b776ba2fd10a SHA512 
d4eff19a0a87ca828d7cf06e9ef9c1e542c0a527949681d08730445e40e90608aaebf778b8ab1cd8d3adeb44fb8cac79607e27704baddf703355a0058ebce4a8
 WHIRLPOOL 
c28369468390ded2421a897b1cff4a52517dcd28d490e1859eaa34a202d6a5715ac30369a423c0ea21e899526db75afbfa2c3c46ebf5a59503fcbe0f9fb07b45
 DIST thc-ipv6-2.5.tar.gz 262015 SHA256 
52120bee2da3d25820f021b5c4d6fc79e220e685e2a505b74b48046b608cba8c SHA512 
7fc2dda9d83d25c61b3dc8576679e06866fd1144ca39d5e0b43bbd3c4da2583ec37ca901a43a817bdeec19226d3e252624d684f31bc7e94e08bdd811d5fb5466
 WHIRLPOOL 
b4199d2e4443e48c8e44aa1c060b2d5b010a62abcd66bcb77b632d7b91e02272bf7720ed63331a4e9872d5e00157b3d6aff5ec332d27b12450aeb34058513bfe
 DIST thc-ipv6-2.7.tar.gz 661592 SHA256 
440a3ae98b57100c397ec4f8634468dbbb0c3b48788c6b74af2a597a90544a96 SHA512 
0863ff36109e048a45ec220b98f0e2cf62b7214edcab4afa27a89fc5c0e41469f7e5733efeb56ed0d00cffcf57ceed3d7d32d813e8081d39f1a21e2646e0a0f3
 WHIRLPOOL 
3c84be3bdb184cc059aabbd13032e6a0b83369f77eda4702277a79cafdadda1f29e43b8613b56e357d1c0e368f1e4df489b7ad3ee18ca6d5796c6a5098726f65
+DIST thc-ipv6-3.0.tar.gz 667859 SHA256 
cec2db604e3fe59f26ddc42632d858f53660ef5d6e25d6a7e90ed927f6826102 SHA512 
969ebbf4da4514cb83e3abcff637f7ba301c4f072f1f983b3cd3cfd3b0643b55af6eacca3c76e39e11ea9ef6e465be03dfa7ce1d6c988cabbd42cdd95d1e2552
 WHIRLPOOL 
73ceec5c8c6dc995225cecf4c12d083e5fb13fc3f09138ba716089bd97f662f726902c711852f9bb69cc01adb4a8aa6500d9a7be1d6af3daf38d787bae4137cd

diff --git a/net-analyzer/thc-ipv6/files/thc-ipv6-3.0-Makefile.patch 
b/net-analyzer/thc-ipv6/files/thc-ipv6-3.0-Makefile.patch
new file mode 100644
index 00000000..43b72ee
--- /dev/null
+++ b/net-analyzer/thc-ipv6/files/thc-ipv6-3.0-Makefile.patch
@@ -0,0 +1,11 @@
+diff -Nuar thc-ipv6-3.0.orig/Makefile thc-ipv6-3.0/Makefile
+--- thc-ipv6-3.0.orig/Makefile 2015-10-13 20:17:34.000000000 -0700
++++ thc-ipv6-3.0/Makefile      2016-11-18 15:57:57.577946828 -0800
+@@ -19,5 +19,5 @@
+ dnssecwalk:   dnssecwalk.c
+-      $(CC) $(CFLAGS) $(STATIC) -o $@ $^
++      $(CC) $(CFLAGS) $(STATIC) -o $@ $^ $(LDFLAGS)
+ 
+ dnsdict6:     dnsdict6.c
+-      $(CC) $(CFLAGS) $(STATIC) -o $@ $^ -lpthread -lresolv
++      $(CC) $(CFLAGS) $(STATIC) -o $@ $^ $(LDFLAGS) -lpthread -lresolv

diff --git a/net-analyzer/thc-ipv6/thc-ipv6-2.3.ebuild 
b/net-analyzer/thc-ipv6/thc-ipv6-2.3.ebuild
index cce92b3..eedaae6 100644
--- a/net-analyzer/thc-ipv6/thc-ipv6-2.3.ebuild
+++ b/net-analyzer/thc-ipv6/thc-ipv6-2.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 

diff --git a/net-analyzer/thc-ipv6/thc-ipv6-2.5.ebuild 
b/net-analyzer/thc-ipv6/thc-ipv6-2.5.ebuild
index c1f8338..ff64c2d 100644
--- a/net-analyzer/thc-ipv6/thc-ipv6-2.5.ebuild
+++ b/net-analyzer/thc-ipv6/thc-ipv6-2.5.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 

diff --git a/net-analyzer/thc-ipv6/thc-ipv6-2.7.ebuild 
b/net-analyzer/thc-ipv6/thc-ipv6-2.7.ebuild
index 5b38f4e..ff64c2d 100644
--- a/net-analyzer/thc-ipv6/thc-ipv6-2.7.ebuild
+++ b/net-analyzer/thc-ipv6/thc-ipv6-2.7.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 

diff --git a/net-analyzer/thc-ipv6/thc-ipv6-3.0.ebuild 
b/net-analyzer/thc-ipv6/thc-ipv6-3.0.ebuild
new file mode 100644
index 00000000..72b7ea5
--- /dev/null
+++ b/net-analyzer/thc-ipv6/thc-ipv6-3.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+[[ ${PV} == *9999 ]] && SCM="git-r3"
+EGIT_REPO_URI="https://github.com/vanhauser-thc/thc-ipv6.git";
+EGIT_BRANCH=master
+
+inherit eutils toolchain-funcs ${SCM}
+
+DESCRIPTION="complete tool set to attack the inherent protocol weaknesses of 
IPV6 and ICMP6"
+HOMEPAGE="https://www.thc.org/thc-ipv6/";
+LICENSE="AGPL-3 openssl"
+SLOT="0"
+IUSE="ssl"
+
+if [[ ${PV} != *9999 ]]; then
+       SRC_URI="http://www.thc.org/releases/${P}.tar.gz";
+       KEYWORDS="~amd64 ~x86"
+fi
+
+DEPEND="net-libs/libpcap
+       net-libs/libnetfilter_queue
+       ssl? ( dev-libs/openssl:* )"
+RDEPEND="${DEPEND}"
+
+src_unpack() {
+       if [[ ${PV} != *9999 ]]; then
+               default_src_unpack
+       else
+               git-r3_src_unpack
+       fi
+}
+
+src_prepare() {
+       epatch "${FILESDIR}"/${PN}-3.0-Makefile.patch
+       sed -i \
+               -e '/^CFLAGS=/s,CFLAGS=,CFLAGS?=,' \
+               Makefile
+       if ! use ssl ; then
+               sed -e '/^HAVE_SSL/s:^:#:' \
+                       -i Makefile
+       fi
+       eapply_user
+}
+
+src_compile() {
+       emake CC="$(tc-getCC)"
+}
+
+src_install() {
+       emake DESTDIR="${D}" PREFIX="/usr" STRIP="true" install
+       dodoc CHANGES HOWTO-INJECT README
+}

diff --git a/net-analyzer/thc-ipv6/thc-ipv6-9999.ebuild 
b/net-analyzer/thc-ipv6/thc-ipv6-9999.ebuild
new file mode 100644
index 00000000..72b7ea5
--- /dev/null
+++ b/net-analyzer/thc-ipv6/thc-ipv6-9999.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+[[ ${PV} == *9999 ]] && SCM="git-r3"
+EGIT_REPO_URI="https://github.com/vanhauser-thc/thc-ipv6.git";
+EGIT_BRANCH=master
+
+inherit eutils toolchain-funcs ${SCM}
+
+DESCRIPTION="complete tool set to attack the inherent protocol weaknesses of 
IPV6 and ICMP6"
+HOMEPAGE="https://www.thc.org/thc-ipv6/";
+LICENSE="AGPL-3 openssl"
+SLOT="0"
+IUSE="ssl"
+
+if [[ ${PV} != *9999 ]]; then
+       SRC_URI="http://www.thc.org/releases/${P}.tar.gz";
+       KEYWORDS="~amd64 ~x86"
+fi
+
+DEPEND="net-libs/libpcap
+       net-libs/libnetfilter_queue
+       ssl? ( dev-libs/openssl:* )"
+RDEPEND="${DEPEND}"
+
+src_unpack() {
+       if [[ ${PV} != *9999 ]]; then
+               default_src_unpack
+       else
+               git-r3_src_unpack
+       fi
+}
+
+src_prepare() {
+       epatch "${FILESDIR}"/${PN}-3.0-Makefile.patch
+       sed -i \
+               -e '/^CFLAGS=/s,CFLAGS=,CFLAGS?=,' \
+               Makefile
+       if ! use ssl ; then
+               sed -e '/^HAVE_SSL/s:^:#:' \
+                       -i Makefile
+       fi
+       eapply_user
+}
+
+src_compile() {
+       emake CC="$(tc-getCC)"
+}
+
+src_install() {
+       emake DESTDIR="${D}" PREFIX="/usr" STRIP="true" install
+       dodoc CHANGES HOWTO-INJECT README
+}

Reply via email to